### Hierarchy

- AssetLibrary

## Index

### Constructors

- constructor

### Methods

- getMovieClip
- loadMovieClip
- fromBytes
- fromFile
- fromManifest
- loadFromBytes
- loadFromFile
- loadFromManifest

## Constructors

### constructor

- new AssetLibrary(): AssetLibrary

- - Defined in lib/openfl/utils/AssetLibrary.d.ts:10

  #### Returns AssetLibrary

## Methods

### getMovieClip

- getMovieClip(id: string): MovieClip

- - Defined in lib/openfl/utils/AssetLibrary.d.ts:18

  #### Parameters

  - ##### id: string

  #### Returns MovieClip

### loadMovieClip

- loadMovieClip(id: string): Future<MovieClip>

- - Defined in lib/openfl/utils/AssetLibrary.d.ts:22

  #### Parameters

  - ##### id: string

  #### Returns Future<MovieClip>

### Static fromBytes

- fromBytes(bytes: ByteArray, rootPath?: string): AssetLibrary

- - Defined in lib/openfl/utils/AssetLibrary.d.ts:15

  #### Parameters

  - ##### bytes: ByteArray

  - ##### Optional rootPath: string

  #### Returns AssetLibrary

### Static fromFile

- fromFile(path: string, rootPath?: string): AssetLibrary

- - Defined in lib/openfl/utils/AssetLibrary.d.ts:16

  #### Parameters

  - ##### path: string

  - ##### Optional rootPath: string

  #### Returns AssetLibrary

### Static fromManifest

- fromManifest(manifest: AssetManifest): AssetLibrary

- - Defined in lib/openfl/utils/AssetLibrary.d.ts:17

  #### Parameters

  - ##### manifest: AssetManifest

  #### Returns AssetLibrary

### Static loadFromBytes

- loadFromBytes(bytes: ByteArray, rootPath?: string): Future<AssetLibrary>

- - Defined in lib/openfl/utils/AssetLibrary.d.ts:19

  #### Parameters

  - ##### bytes: ByteArray

  - ##### Optional rootPath: string

  #### Returns Future<AssetLibrary>

### Static loadFromFile

- loadFromFile(path: string, rootPath?: string): Future<AssetLibrary>

- - Defined in lib/openfl/utils/AssetLibrary.d.ts:20

  #### Parameters

  - ##### path: string

  - ##### Optional rootPath: string

  #### Returns Future<AssetLibrary>

### Static loadFromManifest

- loadFromManifest(manifest: AssetManifest): Future<AssetLibrary>

- - Defined in lib/openfl/utils/AssetLibrary.d.ts:21

  #### Parameters

  - ##### manifest: AssetManifest

  #### Returns Future<AssetLibrary>

Generated using TypeDoc